Commits

Mikhail Korobov committed dc34357

update tox.ini and travis.yml to use django 1.5.1

  • Participants
  • Parent commits 8a9956a

Comments (0)

Files changed (2)

   - DJANGO_VERSION=1.2.7
   - DJANGO_VERSION=1.3.7
   - DJANGO_VERSION=1.4.5
-  - DJANGO_VERSION=1.5
+  - DJANGO_VERSION=1.5.1
 
 matrix:
     include:
           env: DJANGO_VERSION=1.2.7
         - python: "pypy"
           env: DJANGO_VERSION=1.3.7
-        # pypy 1.9 is known not to work with django 1.5, see
-        # https://code.djangoproject.com/ticket/19944
-        - python: "pypy"
-          env: DJANGO_VERSION=1.5
 
 
 # command to install dependencies, e.g. pip install -r requirements.txt --use-mirrors
   - python setup.py install
 
 # command to run tests, e.g. python setup.py test
-script: python django_webtest_tests/runtests.py
+script: python django_webtest_tests/runtests.py
 [testenv:dj12]
 deps=
     WebTest
-    django == 1.2.7
+    django >= 1.2, < 1.3
 
 [testenv:dj13]
 deps=
     WebTest
-    django == 1.3.7
+    django >= 1.3, < 1.4
 
 [testenv:dj14]
 deps=
     WebTest
-    django == 1.4.5
+    django >= 1.4, <1.5
 
 [django15]
 deps=
-    django == 1.5
+    django >= 1.5.1, <1.6
 
 [testenv:dj12-py26]
 basepython = python2.6